> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monk.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Pricing

> List pricing configurations for your organization.

**Scope:** `pricing:read`


## OpenAPI

````yaml /openapi/pricing.yaml get /v1/pricing
openapi: 3.1.0
info:
  title: Pricing API
  version: '1.0'
servers:
  - url: https://api.monk.com
    description: Production
  - url: https://api-sandbox.monk.com
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/pricing:
    get:
      summary: List Pricing
      description: List pricing configurations for your organization.
      operationId: listPricing
      parameters:
        - name: limit
          in: query
          schema:
            type: integer
            default: 50
            maximum: 100
          description: Maximum number of pricing records to return.
        - name: offset
          in: query
          schema:
            type: integer
            default: 0
          description: Number of pricing records to skip.
        - name: productId
          in: query
          schema:
            type: string
            format: uuid
          description: Filter pricing by product ID.
        - name: model
          in: query
          schema:
            type: string
            enum:
              - FLAT
              - TIER
              - USAGE
          description: Filter by pricing model.
      responses:
        '200':
          description: Pricing records.
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                  - hasMore
                  - total
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Pricing'
                  hasMore:
                    type: boolean
                  total:
                    type: integer
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    Pricing:
      type: object
      required:
        - id
        - productId
        - productName
        - name
        - model
        - billingMode
        - tiering
        - createdAt
      properties:
        id:
          type: string
          format: uuid
        productId:
          type: string
          format: uuid
        productName:
          type: string
        name:
          type: string
        description:
          type: string
          nullable: true
        model:
          type: string
          enum:
            - FLAT
            - TIER
            - USAGE
        billingMode:
          type: string
          enum:
            - RECURRING
            - ONE_TIME
        tiering:
          type: string
          enum:
            - NONE
            - VOLUME
            - GRADUATED
        unitAmount:
          type: string
          nullable: true
        flatAmount:
          type: string
          nullable: true
        priceInterval:
          type: string
          nullable: true
        priceIntervalCount:
          type: integer
          nullable: true
        meterId:
          type: string
          format: uuid
          nullable: true
        pricingTiers:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/PricingTier'
        createdAt:
          type: string
          format: date-time
    PricingTier:
      type: object
      required:
        - unitAmount
        - minQty
      properties:
        unitAmount:
          type: string
        minQty:
          type: string
        maxQty:
          type: string
        flatAmount:
          type: string
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - code
          properties:
            message:
              type: string
            code:
              type: string
  responses:
    Unauthorized:
      description: Missing or invalid API key.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Monk API key as the bearer token.

````